{
    "packages": [
        {
            "name": "doctrine/annotations",
            "version": "1.14.3",
            "version_normalized": "1.14.3.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/doctrine/annotations/1.14.3/doctrine-annotations-1.14.3.zip",
                "reference": "fb0d71a7393298a7b232cbf4c8b1f73f3ec3d5af",
                "shasum": ""
            },
            "require": {
                "doctrine/lexer": "^1 || ^2",
                "ext-tokenizer": "*",
                "php": "^7.1 || ^8.0",
                "psr/cache": "^1 || ^2 || ^3"
            },
            "require-dev": {
                "doctrine/cache": "^1.11 || ^2.0",
                "doctrine/coding-standard": "^9 || ^10",
                "phpstan/phpstan": "~1.4.10 || ^1.8.0",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.5",
                "symfony/cache": "^4.4 || ^5.4 || ^6",
                "vimeo/psalm": "^4.10"
            },
            "suggest": {
                "php": "PHP 8.0 or higher comes with attributes, a native replacement for annotations"
            },
            "time": "2023-02-01T09:20:38+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Doctrine\\Common\\Annotations\\": "lib/Doctrine/Common/Annotations"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Guilherme Blanco",
                    "email": "guilhermeblanco@gmail.com"
                },
                {
                    "name": "Roman Borschel",
                    "email": "roman@code-factory.org"
                },
                {
                    "name": "Benjamin Eberlei",
                    "email": "kontakt@beberlei.de"
                },
                {
                    "name": "Jonathan Wage",
                    "email": "jonwage@gmail.com"
                },
                {
                    "name": "Johannes Schmitt",
                    "email": "schmittjoh@gmail.com"
                }
            ],
            "description": "Docblock Annotations Parser",
            "homepage": "https://www.doctrine-project.org/projects/annotations.html",
            "keywords": [
                "annotations",
                "docblock",
                "parser"
            ],
            "install-path": "../doctrine/annotations"
        },
        {
            "name": "doctrine/deprecations",
            "version": "v1.1.1",
            "version_normalized": "1.1.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/doctrine/deprecations/v1.1.1/doctrine-deprecations-v1.1.1.zip",
                "reference": "612a3ee5ab0d5dd97b7cf3874a6efe24325efac3",
                "shasum": ""
            },
            "require": {
                "php": "^7.1 || ^8.0"
            },
            "require-dev": {
                "doctrine/coding-standard": "^9",
                "phpstan/phpstan": "1.4.10 || 1.10.15",
                "phpstan/phpstan-phpunit": "^1.0",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.5",
                "psalm/plugin-phpunit": "0.18.4",
                "psr/log": "^1 || ^2 || ^3",
                "vimeo/psalm": "4.30.0 || 5.12.0"
            },
            "suggest": {
                "psr/log": "Allows logging deprecations via PSR-3 logger implementation"
            },
            "time": "2023-06-03T09:27:29+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Doctrine\\Deprecations\\": "lib/Doctrine/Deprecations"
                }
            },
            "license": [
                "MIT"
            ],
            "description": "A small layer on top of trigger_error(E_USER_DEPRECATED) or PSR-3 logging with options to disable all deprecations or selectively for packages.",
            "homepage": "https://www.doctrine-project.org/",
            "install-path": "../doctrine/deprecations"
        },
        {
            "name": "doctrine/lexer",
            "version": "2.1.0",
            "version_normalized": "2.1.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/doctrine/lexer/2.1.0/doctrine-lexer-2.1.0.zip",
                "reference": "39ab8fcf5a51ce4b85ca97c7a7d033eb12831124",
                "shasum": ""
            },
            "require": {
                "doctrine/deprecations": "^1.0",
                "php": "^7.1 || ^8.0"
            },
            "require-dev": {
                "doctrine/coding-standard": "^9 || ^10",
                "phpstan/phpstan": "^1.3",
                "phpunit/phpunit": "^7.5 || ^8.5 || ^9.5",
                "psalm/plugin-phpunit": "^0.18.3",
                "vimeo/psalm": "^4.11 || ^5.0"
            },
            "time": "2022-12-14T08:49:07+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Doctrine\\Common\\Lexer\\": "src"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Guilherme Blanco",
                    "email": "guilhermeblanco@gmail.com"
                },
                {
                    "name": "Roman Borschel",
                    "email": "roman@code-factory.org"
                },
                {
                    "name": "Johannes Schmitt",
                    "email": "schmittjoh@gmail.com"
                }
            ],
            "description": "PHP Doctrine Lexer parser library that can be used in Top-Down, Recursive Descent Parsers.",
            "homepage": "https://www.doctrine-project.org/projects/lexer.html",
            "keywords": [
                "annotations",
                "docblock",
                "lexer",
                "parser",
                "php"
            ],
            "install-path": "../doctrine/lexer"
        },
        {
            "name": "firebase/php-jwt",
            "version": "v6.8.1",
            "version_normalized": "6.8.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/firebase/php-jwt/v6.8.1/firebase-php-jwt-v6.8.1.zip",
                "reference": "5dbc8959427416b8ee09a100d7a8588c00fb2e26",
                "shasum": ""
            },
            "require": {
                "php": "^7.4||^8.0"
            },
            "require-dev": {
                "guzzlehttp/guzzle": "^6.5||^7.4",
                "phpspec/prophecy-phpunit": "^2.0",
                "phpunit/phpunit": "^9.5",
                "psr/cache": "^1.0||^2.0",
                "psr/http-client": "^1.0",
                "psr/http-factory": "^1.0"
            },
            "suggest": {
                "ext-sodium": "Support EdDSA (Ed25519) signatures",
                "paragonie/sodium_compat": "Support EdDSA (Ed25519) signatures when libsodium is not present"
            },
            "time": "2023-07-14T18:33:00+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Firebase\\JWT\\": "src"
                }
            },
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Neuman Vong",
                    "email": "neuman+pear@twilio.com",
                    "role": "Developer"
                },
                {
                    "name": "Anant Narayanan",
                    "email": "anant@php.net",
                    "role": "Developer"
                }
            ],
            "description": "A simple library to encode and decode JSON Web Tokens (JWT) in PHP. Should conform to the current spec.",
            "homepage": "https://github.com/firebase/php-jwt",
            "keywords": [
                "jwt",
                "php"
            ],
            "install-path": "../firebase/php-jwt"
        },
        {
            "name": "guzzlehttp/guzzle",
            "version": "7.8.0",
            "version_normalized": "7.8.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/guzzlehttp/guzzle/7.8.0/guzzlehttp-guzzle-7.8.0.zip",
                "reference": "1110f66a6530a40fe7aea0378fe608ee2b2248f9",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "guzzlehttp/promises": "^1.5.3 || ^2.0.1",
                "guzzlehttp/psr7": "^1.9.1 || ^2.5.1",
                "php": "^7.2.5 || ^8.0",
                "psr/http-client": "^1.0",
                "symfony/deprecation-contracts": "^2.2 || ^3.0"
            },
            "provide": {
                "psr/http-client-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.1",
                "ext-curl": "*",
                "php-http/client-integration-tests": "dev-master#2c025848417c1135031fdf9c728ee53d0a7ceaee as 3.0.999",
                "php-http/message-factory": "^1.1",
                "phpunit/phpunit": "^8.5.29 || ^9.5.23",
                "psr/log": "^1.1 || ^2.0 || ^3.0"
            },
            "suggest": {
                "ext-curl": "Required for CURL handler support",
                "ext-intl": "Required for Internationalized Domain Name (IDN) support",
                "psr/log": "Required for using the Log middleware"
            },
            "time": "2023-08-27T10:20:53+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "GuzzleHttp\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Jeremy Lindblom",
                    "email": "jeremeamia@gmail.com",
                    "homepage": "https://github.com/jeremeamia"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle is a PHP HTTP client library",
            "keywords": [
                "client",
                "curl",
                "framework",
                "http",
                "http client",
                "psr-18",
                "psr-7",
                "rest",
                "web service"
            ],
            "install-path": "../guzzlehttp/guzzle"
        },
        {
            "name": "guzzlehttp/promises",
            "version": "2.0.1",
            "version_normalized": "2.0.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/guzzlehttp/promises/2.0.1/guzzlehttp-promises-2.0.1.zip",
                "reference": "111166291a0f8130081195ac4556a5587d7f1b5d",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.1",
                "phpunit/phpunit": "^8.5.29 || ^9.5.23"
            },
            "time": "2023-08-03T15:11:55+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Promise\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                }
            ],
            "description": "Guzzle promises library",
            "keywords": [
                "promise"
            ],
            "install-path": "../guzzlehttp/promises"
        },
        {
            "name": "guzzlehttp/psr7",
            "version": "2.6.1",
            "version_normalized": "2.6.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/guzzlehttp/psr7/2.6.1/guzzlehttp-psr7-2.6.1.zip",
                "reference": "be45764272e8873c72dbe3d2edcfdfcc3bc9f727",
                "shasum": ""
            },
            "require": {
                "php": "^7.2.5 || ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.1 || ^2.0",
                "ralouphie/getallheaders": "^3.0"
            },
            "provide": {
                "psr/http-factory-implementation": "1.0",
                "psr/http-message-implementation": "1.0"
            },
            "require-dev": {
                "bamarni/composer-bin-plugin": "^1.8.1",
                "http-interop/http-factory-tests": "^0.9",
                "phpunit/phpunit": "^8.5.29 || ^9.5.23"
            },
            "suggest": {
                "laminas/laminas-httphandlerrunner": "Emit PSR-7 responses"
            },
            "time": "2023-08-27T10:13:57+00:00",
            "type": "library",
            "extra": {
                "bamarni-bin": {
                    "bin-links": true,
                    "forward-command": false
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "GuzzleHttp\\Psr7\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Graham Campbell",
                    "email": "hello@gjcampbell.co.uk",
                    "homepage": "https://github.com/GrahamCampbell"
                },
                {
                    "name": "Michael Dowling",
                    "email": "mtdowling@gmail.com",
                    "homepage": "https://github.com/mtdowling"
                },
                {
                    "name": "George Mponos",
                    "email": "gmponos@gmail.com",
                    "homepage": "https://github.com/gmponos"
                },
                {
                    "name": "Tobias Nyholm",
                    "email": "tobias.nyholm@gmail.com",
                    "homepage": "https://github.com/Nyholm"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://github.com/sagikazarmark"
                },
                {
                    "name": "Tobias Schultze",
                    "email": "webmaster@tubo-world.de",
                    "homepage": "https://github.com/Tobion"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "PSR-7 message implementation that also provides common utility methods",
            "keywords": [
                "http",
                "message",
                "psr-7",
                "request",
                "response",
                "stream",
                "uri",
                "url"
            ],
            "install-path": "../guzzlehttp/psr7"
        },
        {
            "name": "laravel/serializable-closure",
            "version": "v1.3.1",
            "version_normalized": "1.3.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/laravel/serializable-closure/v1.3.1/laravel-serializable-closure-v1.3.1.zip",
                "reference": "e5a3057a5591e1cfe8183034b0203921abe2c902",
                "shasum": ""
            },
            "require": {
                "php": "^7.3|^8.0"
            },
            "require-dev": {
                "nesbot/carbon": "^2.61",
                "pestphp/pest": "^1.21.3",
                "phpstan/phpstan": "^1.8.2",
                "symfony/var-dumper": "^5.4.11"
            },
            "time": "2023-07-14T13:56:28+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Laravel\\SerializableClosure\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Taylor Otwell",
                    "email": "taylor@laravel.com"
                },
                {
                    "name": "Nuno Maduro",
                    "email": "nuno@laravel.com"
                }
            ],
            "description": "Laravel Serializable Closure provides an easy and secure way to serialize closures in PHP.",
            "keywords": [
                "closure",
                "laravel",
                "serializable"
            ],
            "install-path": "../laravel/serializable-closure"
        },
        {
            "name": "monolog/monolog",
            "version": "2.9.1",
            "version_normalized": "2.9.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/monolog/monolog/2.9.1/monolog-monolog-2.9.1.zip",
                "reference": "f259e2b15fb95494c83f52d3caad003bbf5ffaa1",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2",
                "psr/log": "^1.0.1 || ^2.0 || ^3.0"
            },
            "provide": {
                "psr/log-implementation": "1.0.0 || 2.0.0 || 3.0.0"
            },
            "require-dev": {
                "aws/aws-sdk-php": "^2.4.9 || ^3.0",
                "doctrine/couchdb": "~1.0@dev",
                "elasticsearch/elasticsearch": "^7 || ^8",
                "ext-json": "*",
                "graylog2/gelf-php": "^1.4.2 || ^2@dev",
                "guzzlehttp/guzzle": "^7.4",
                "guzzlehttp/psr7": "^2.2",
                "mongodb/mongodb": "^1.8",
                "php-amqplib/php-amqplib": "~2.4 || ^3",
                "phpspec/prophecy": "^1.15",
                "phpstan/phpstan": "^0.12.91",
                "phpunit/phpunit": "^8.5.14",
                "predis/predis": "^1.1 || ^2.0",
                "rollbar/rollbar": "^1.3 || ^2 || ^3",
                "ruflin/elastica": "^7",
                "swiftmailer/swiftmailer": "^5.3|^6.0",
                "symfony/mailer": "^5.4 || ^6",
                "symfony/mime": "^5.4 || ^6"
            },
            "suggest": {
                "aws/aws-sdk-php": "Allow sending log messages to AWS services like DynamoDB",
                "doctrine/couchdb": "Allow sending log messages to a CouchDB server",
                "elasticsearch/elasticsearch": "Allow sending log messages to an Elasticsearch server via official client",
                "ext-amqp": "Allow sending log messages to an AMQP server (1.0+ required)",
                "ext-curl": "Required to send log messages using the IFTTTHandler, the LogglyHandler, the SendGridHandler, the SlackWebhookHandler or the TelegramBotHandler",
                "ext-mbstring": "Allow to work properly with unicode symbols",
                "ext-mongodb": "Allow sending log messages to a MongoDB server (via driver)",
                "ext-openssl": "Required to send log messages using SSL",
                "ext-sockets": "Allow sending log messages to a Syslog server (via UDP driver)",
                "graylog2/gelf-php": "Allow sending log messages to a GrayLog2 server",
                "mongodb/mongodb": "Allow sending log messages to a MongoDB server (via library)",
                "php-amqplib/php-amqplib": "Allow sending log messages to an AMQP server using php-amqplib",
                "rollbar/rollbar": "Allow sending log messages to Rollbar",
                "ruflin/elastica": "Allow sending log messages to an Elastic Search server"
            },
            "time": "2023-02-06T13:44:46+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "2.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Monolog\\": "src/Monolog"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jordi Boggiano",
                    "email": "j.boggiano@seld.be",
                    "homepage": "https://seld.be"
                }
            ],
            "description": "Sends your logs to files, sockets, inboxes, databases and various web services",
            "homepage": "https://github.com/Seldaek/monolog",
            "keywords": [
                "log",
                "logging",
                "psr-3"
            ],
            "install-path": "../monolog/monolog"
        },
        {
            "name": "nikic/fast-route",
            "version": "v1.3.0",
            "version_normalized": "1.3.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.tencent.com/repository/composer/nikic/fast-route/v1.3.0/nikic-fast-route-v1.3.0.zip",
                "reference": "181d480e08d9476e61381e04a71b34dc0432e812",
                "shasum": ""
            },
            "require": {
                "php": ">=5.4.0"
            },
            "require-dev": {
                "phpunit/phpunit": "^4.8.35|~5.7"
            },
            "time": "2018-02-13T20:26:39+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions.php"
                ],
                "psr-4": {
                    "FastRoute\\": "src/"
                }
            },
            "license": [
                "BSD-3-Clause"
            ],
            "authors": [
                {
                    "name": "Nikita Popov",
                    "email": "nikic@php.net"
                }
            ],
            "description": "Fast request router for PHP",
            "keywords": [
                "router",
                "routing"
            ],
            "install-path": "../nikic/fast-route"
        },
        {
            "name": "php-di/invoker",
            "version": "2.3.4",
            "version_normalized": "2.3.4.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/php-di/invoker/2.3.4/php-di-invoker-2.3.4.zip",
                "reference": "33234b32dafa8eb69202f950a1fc92055ed76a86",
                "shasum": ""
            },
            "require": {
                "php": ">=7.3",
                "psr/container": "^1.0|^2.0"
            },
            "require-dev": {
                "athletic/athletic": "~0.1.8",
                "mnapoli/hard-mode": "~0.3.0",
                "phpunit/phpunit": "^9.0"
            },
            "time": "2023-09-08T09:24:21+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Invoker\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "description": "Generic and extensible callable invoker",
            "homepage": "https://github.com/PHP-DI/Invoker",
            "keywords": [
                "callable",
                "dependency",
                "dependency-injection",
                "injection",
                "invoke",
                "invoker"
            ],
            "install-path": "../php-di/invoker"
        },
        {
            "name": "php-di/php-di",
            "version": "6.4.0",
            "version_normalized": "6.4.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/php-di/php-di/6.4.0/php-di-php-di-6.4.0.zip",
                "reference": "ae0f1b3b03d8b29dff81747063cbfd6276246cc4",
                "shasum": ""
            },
            "require": {
                "laravel/serializable-closure": "^1.0",
                "php": ">=7.4.0",
                "php-di/invoker": "^2.0",
                "php-di/phpdoc-reader": "^2.0.1",
                "psr/container": "^1.0"
            },
            "provide": {
                "psr/container-implementation": "^1.0"
            },
            "require-dev": {
                "doctrine/annotations": "~1.10",
                "friendsofphp/php-cs-fixer": "^2.4",
                "mnapoli/phpunit-easymock": "^1.2",
                "ocramius/proxy-manager": "^2.11.2",
                "phpstan/phpstan": "^0.12",
                "phpunit/phpunit": "^9.5"
            },
            "suggest": {
                "doctrine/annotations": "Install it if you want to use annotations (version ~1.2)",
                "ocramius/proxy-manager": "Install it if you want to use lazy injection (version ~2.0)"
            },
            "time": "2022-04-09T16:46:38+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions.php"
                ],
                "psr-4": {
                    "DI\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "description": "The dependency injection container for humans",
            "homepage": "https://php-di.org/",
            "keywords": [
                "PSR-11",
                "container",
                "container-interop",
                "dependency injection",
                "di",
                "ioc",
                "psr11"
            ],
            "install-path": "../php-di/php-di"
        },
        {
            "name": "php-di/phpdoc-reader",
            "version": "2.2.1",
            "version_normalized": "2.2.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/php-di/phpdoc-reader/2.2.1/php-di-phpdoc-reader-2.2.1.zip",
                "reference": "66daff34cbd2627740ffec9469ffbac9f8c8185c",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2.0"
            },
            "require-dev": {
                "mnapoli/hard-mode": "~0.3.0",
                "phpunit/phpunit": "^8.5|^9.0"
            },
            "time": "2020-10-12T12:39:22+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "PhpDocReader\\": "src/PhpDocReader"
                }
            },
            "license": [
                "MIT"
            ],
            "description": "PhpDocReader parses @var and @param values in PHP docblocks (supports namespaced class names with the same resolution rules as PHP)",
            "keywords": [
                "phpdoc",
                "reflection"
            ],
            "install-path": "../php-di/phpdoc-reader"
        },
        {
            "name": "phrity/net-uri",
            "version": "1.3.0",
            "version_normalized": "1.3.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/phrity/net-uri/1.3.0/phrity-net-uri-1.3.0.zip",
                "reference": "3f458e0c4d1ddc0e218d7a5b9420127c63925f43",
                "shasum": ""
            },
            "require": {
                "php": "^7.4 | ^8.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.0 | ^2.0"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.0",
                "phpunit/phpunit": "^9.0 | ^10.0",
                "squizlabs/php_codesniffer": "^3.0"
            },
            "time": "2023-08-21T10:33:06+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Phrity\\Net\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Sören Jensen",
                    "email": "sirn@sirn.se",
                    "homepage": "https://phrity.sirn.se"
                }
            ],
            "description": "PSR-7 Uri and PSR-17 UriFactory implementation",
            "homepage": "https://phrity.sirn.se/net-uri",
            "keywords": [
                "psr-17",
                "psr-7",
                "uri",
                "uri factory"
            ],
            "install-path": "../phrity/net-uri"
        },
        {
            "name": "phrity/util-errorhandler",
            "version": "1.0.1",
            "version_normalized": "1.0.1.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/phrity/util-errorhandler/1.0.1/phrity-util-errorhandler-1.0.1.zip",
                "reference": "dc9ac8fb70d733c48a9d9d1eb50f7022172da6bc",
                "shasum": ""
            },
            "require": {
                "php": "^7.2|^8.0"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.0",
                "phpunit/phpunit": "^8.0|^9.0",
                "squizlabs/php_codesniffer": "^3.5"
            },
            "time": "2022-10-27T12:14:42+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Sören Jensen",
                    "email": "sirn@sirn.se",
                    "homepage": "https://phrity.sirn.se"
                }
            ],
            "description": "Inline error handler; catch and resolve errors for code block.",
            "homepage": "https://phrity.sirn.se/util-errorhandler",
            "keywords": [
                "error",
                "warning"
            ],
            "install-path": "../phrity/util-errorhandler"
        },
        {
            "name": "psr/cache",
            "version": "3.0.0",
            "version_normalized": "3.0.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/psr/cache/3.0.0/psr-cache-3.0.0.zip",
                "reference": "aa5030cfa5405eccfdcb1083ce040c2cb8d253bf",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0"
            },
            "time": "2021-02-03T23:26:27+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Cache\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for caching libraries",
            "keywords": [
                "cache",
                "psr",
                "psr-6"
            ],
            "install-path": "../psr/cache"
        },
        {
            "name": "psr/container",
            "version": "1.1.2",
            "version_normalized": "1.1.2.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/psr/container/1.1.2/psr-container-1.1.2.zip",
                "reference": "513e0666f7216c7459170d56df27dfcefe1689ea",
                "shasum": ""
            },
            "require": {
                "php": ">=7.4.0"
            },
            "time": "2021-11-05T16:50:12+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Container\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common Container Interface (PHP FIG PSR-11)",
            "homepage": "https://github.com/php-fig/container",
            "keywords": [
                "PSR-11",
                "container",
                "container-interface",
                "container-interop",
                "psr"
            ],
            "install-path": "../psr/container"
        },
        {
            "name": "psr/http-client",
            "version": "1.0.2",
            "version_normalized": "1.0.2.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/psr/http-client/1.0.2/psr-http-client-1.0.2.zip",
                "reference": "0955afe48220520692d2d09f7ab7e0f93ffd6a31",
                "shasum": ""
            },
            "require": {
                "php": "^7.0 || ^8.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2023-04-10T20:12:12+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Client\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP clients",
            "homepage": "https://github.com/php-fig/http-client",
            "keywords": [
                "http",
                "http-client",
                "psr",
                "psr-18"
            ],
            "install-path": "../psr/http-client"
        },
        {
            "name": "psr/http-factory",
            "version": "1.0.2",
            "version_normalized": "1.0.2.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/psr/http-factory/1.0.2/psr-http-factory-1.0.2.zip",
                "reference": "e616d01114759c4c489f93b099585439f795fe35",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "time": "2023-04-10T20:10:41+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.0.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interfaces for PSR-7 HTTP message factories",
            "keywords": [
                "factory",
                "http",
                "message",
                "psr",
                "psr-17",
                "psr-7",
                "request",
                "response"
            ],
            "install-path": "../psr/http-factory"
        },
        {
            "name": "psr/http-message",
            "version": "1.1",
            "version_normalized": "1.1.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/psr/http-message/1.1/psr-http-message-1.1.zip",
                "reference": "cb6ce4845ce34a8ad9e68117c10ee90a29919eba",
                "shasum": ""
            },
            "require": {
                "php": "^7.2 || ^8.0"
            },
            "time": "2023-04-04T09:50:52+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "1.1.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Http\\Message\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "http://www.php-fig.org/"
                }
            ],
            "description": "Common interface for HTTP messages",
            "homepage": "https://github.com/php-fig/http-message",
            "keywords": [
                "http",
                "http-message",
                "psr",
                "psr-7",
                "request",
                "response"
            ],
            "install-path": "../psr/http-message"
        },
        {
            "name": "psr/log",
            "version": "3.0.0",
            "version_normalized": "3.0.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/psr/log/3.0.0/psr-log-3.0.0.zip",
                "reference": "fe5ea303b0887d5caefd3d431c3e61ad47037001",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.0"
            },
            "time": "2021-07-14T16:46:02+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-master": "3.x-dev"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Psr\\Log\\": "src"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "PHP-FIG",
                    "homepage": "https://www.php-fig.org/"
                }
            ],
            "description": "Common interface for logging libraries",
            "homepage": "https://github.com/php-fig/log",
            "keywords": [
                "log",
                "psr",
                "psr-3"
            ],
            "install-path": "../psr/log"
        },
        {
            "name": "ralouphie/getallheaders",
            "version": "3.0.3",
            "version_normalized": "3.0.3.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/ralouphie/getallheaders/3.0.3/ralouphie-getallheaders-3.0.3.zip",
                "reference": "120b605dfeb996808c31b6477290a714d356e822",
                "shasum": ""
            },
            "require": {
                "php": ">=5.6"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.1",
                "phpunit/phpunit": "^5 || ^6.5"
            },
            "time": "2019-03-08T08:55:37+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/getallheaders.php"
                ]
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Ralph Khattar",
                    "email": "ralph.khattar@gmail.com"
                }
            ],
            "description": "A polyfill for getallheaders.",
            "install-path": "../ralouphie/getallheaders"
        },
        {
            "name": "symfony/deprecation-contracts",
            "version": "v3.0.2",
            "version_normalized": "3.0.2.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/symfony/deprecation-contracts/v3.0.2/symfony-deprecation-contracts-v3.0.2.zip",
                "reference": "26954b3d62a6c5fd0ea8a2a00c0353a14978d05c",
                "shasum": ""
            },
            "require": {
                "php": ">=8.0.2"
            },
            "time": "2022-01-02T09:55:41+00:00",
            "type": "library",
            "extra": {
                "branch-alias": {
                    "dev-main": "3.0-dev"
                },
                "thanks": {
                    "name": "symfony/contracts",
                    "url": "https://github.com/symfony/contracts"
                }
            },
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "function.php"
                ]
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Nicolas Grekas",
                    "email": "p@tchwork.com"
                },
                {
                    "name": "Symfony Community",
                    "homepage": "https://symfony.com/contributors"
                }
            ],
            "description": "A generic function and convention to trigger deprecation notices",
            "homepage": "https://symfony.com",
            "install-path": "../symfony/deprecation-contracts"
        },
        {
            "name": "textalk/websocket",
            "version": "1.6.3",
            "version_normalized": "1.6.3.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/textalk/websocket/1.6.3/textalk-websocket-1.6.3.zip",
                "reference": "67de79745b1a357caf812bfc44e0abf481cee012",
                "shasum": ""
            },
            "require": {
                "php": "^7.4 | ^8.0",
                "phrity/net-uri": "^1.0",
                "phrity/util-errorhandler": "^1.0",
                "psr/http-message": "^1.0",
                "psr/log": "^1.0 | ^2.0 | ^3.0"
            },
            "require-dev": {
                "php-coveralls/php-coveralls": "^2.0",
                "phpunit/phpunit": "^9.0",
                "squizlabs/php_codesniffer": "^3.5"
            },
            "time": "2022-11-07T18:59:33+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "WebSocket\\": "lib"
                }
            },
            "license": [
                "ISC"
            ],
            "authors": [
                {
                    "name": "Fredrik Liljegren"
                },
                {
                    "name": "Sören Jensen"
                }
            ],
            "description": "WebSocket client and server",
            "install-path": "../textalk/websocket"
        },
        {
            "name": "tinywan/jwt",
            "version": "v1.8.2",
            "version_normalized": "1.8.2.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/tinywan/jwt/v1.8.2/tinywan-jwt-v1.8.2.zip",
                "reference": "38c6889f38f79d042f6a0b9aa1aac716a1779b35",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "firebase/php-jwt": "^6.8",
                "php": "^7.1||^8.0",
                "workerman/webman-framework": "^1.2.1"
            },
            "require-dev": {
                "friendsofphp/php-cs-fixer": "^3.6",
                "illuminate/database": "^8.83",
                "mockery/mockery": "^1.5",
                "phpstan/phpstan": "^1.4",
                "phpunit/phpunit": "^9.0",
                "topthink/think-orm": "^2.0",
                "vimeo/psalm": "^4.22",
                "workerman/webman": "^1.0"
            },
            "time": "2023-09-16T03:25:47+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Tinywan\\Jwt\\": "src"
                }
            },
            "license": [
                "MIT"
            ],
            "description": "JSON Web Token (JWT) for webman plugin",
            "install-path": "../tinywan/jwt"
        },
        {
            "name": "webman/push",
            "version": "v1.0.16",
            "version_normalized": "1.0.16.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/webman/push/v1.0.16/webman-push-v1.0.16.zip",
                "reference": "cd838ea76ffd90ef165564e4f35cebbe87462e77",
                "shasum": ""
            },
            "require": {
                "php": ">=7.2"
            },
            "time": "2023-06-17T13:34:32+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Webman\\Push\\": "src"
                }
            },
            "license": [
                "MIT"
            ],
            "install-path": "../webman/push"
        },
        {
            "name": "workerman/webman-framework",
            "version": "v1.5.9",
            "version_normalized": "1.5.9.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/workerman/webman-framework/v1.5.9/workerman-webman-framework-v1.5.9.zip",
                "reference": "6c43faa4f8e3ec61b8d97ba9e8ff53965b9a8b69",
                "shasum": ""
            },
            "require": {
                "ext-json": "*",
                "nikic/fast-route": "^1.3",
                "php": ">=7.2",
                "psr/container": ">=1.0",
                "workerman/workerman": "^4.0.4 || ^5.0.0"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2023-09-11T07:55:50+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Webman\\": "./src",
                    "Support\\": "./src/support",
                    "support\\": "./src/support",
                    "Support\\View\\": "./src/support/view",
                    "Support\\Bootstrap\\": "./src/support/bootstrap",
                    "Support\\Exception\\": "./src/support/exception"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "https://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "High performance HTTP Service Framework.",
            "homepage": "https://www.workerman.net",
            "keywords": [
                "High Performance",
                "http service"
            ],
            "install-path": "../workerman/webman-framework"
        },
        {
            "name": "workerman/workerman",
            "version": "v4.1.13",
            "version_normalized": "4.1.13.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.tencent.com/repository/composer/workerman/workerman/v4.1.13/workerman-workerman-v4.1.13.zip",
                "reference": "807780ff672775fcd08f89e573a2824e939021ce",
                "shasum": ""
            },
            "require": {
                "php": ">=7.0"
            },
            "suggest": {
                "ext-event": "For better performance. "
            },
            "time": "2023-07-31T05:57:25+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Workerman\\": "./"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "walkor",
                    "email": "walkor@workerman.net",
                    "homepage": "http://www.workerman.net",
                    "role": "Developer"
                }
            ],
            "description": "An asynchronous event driven PHP framework for easily building fast, scalable network applications.",
            "homepage": "http://www.workerman.net",
            "keywords": [
                "asynchronous",
                "event-loop"
            ],
            "install-path": "../workerman/workerman"
        },
        {
            "name": "yzh52521/easyhttp",
            "version": "v1.1.0",
            "version_normalized": "1.1.0.0",
            "dist": {
                "type": "zip",
                "url": "https://mirrors.cloud.tencent.com/repository/composer/yzh52521/easyhttp/v1.1.0/yzh52521-easyhttp-v1.1.0.zip",
                "reference": "78ec5cea1884d6da0709cac95a1e4d23fe9bfc65",
                "shasum": ""
            },
            "require": {
                "guzzlehttp/guzzle": "^6.0|^7.0",
                "php": ">=7.2.5",
                "psr/log": "^1.0|^2.0|^3.0"
            },
            "time": "2023-08-31T06:20:52+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "yzh52521\\EasyHttp\\": "src/"
                }
            },
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "yzh52521",
                    "email": "396751927@qq.com"
                }
            ],
            "description": "EasyHttp 是一个轻量级、语义化、对IDE友好的HTTP客户端，支持常见的HTTP请求、异步请求和并发请求，让你可以快速地使用 HTTP 请求与其他 Web 应用进行通信。",
            "homepage": "https://github.com/yzh52521/easyhttp",
            "keywords": [
                "EasyHttp",
                "curl",
                "easy-http",
                "http",
                "php",
                "php-http",
                "phphttp"
            ],
            "install-path": "../yzh52521/easyhttp"
        }
    ],
    "dev": true,
    "dev-package-names": []
}
